<?php
/*
*Реферальская система для JohnCMS 6.1.2 by Krite (http://upcoder.net)
*Под JohnCMS 6.1.2 переписал ValekS
*/
define('_IN_JOHNCMS', 1);
$headmod = 'referals';

require_once('../incfiles/core.php');
if (!$user_id) {
    require_once('../incfiles/head.php');
	echo functions::display_error('Только для зарегистрированных посетителей', '<a href="index.php">' . $lng['back'] . '</a>');
    require_once('../incfiles/end.php');
    exit;
}
if ($id && $id != $user_id) {
    // Если был запрос на юзера, то получаем его данные
    $req = mysql_query("SELECT * FROM `users` WHERE `id` = ".$id." LIMIT 1");
    if (mysql_num_rows($req)) {
        $user = mysql_fetch_assoc($req);
        $textl = 'Рефералы: ' . $user['name'];
    } else {
        require_once('../incfiles/head.php');
		echo functions::display_error('Такого пользователя не существует', '<a href="index.php">' . $lng['back'] . '</a>');
        require_once("../incfiles/end.php");
        exit;
    
}
 	   
} else {
    $id = false;
    $textl = 'Мои рефералы';
    $user = $datauser;
}
require_once('../incfiles/head.php');
$refb = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'reg' LIMIT 1"));

  	echo '<div class="gmenu"><p>
	<p style="color:#9acd32; font-size:18px; font-weight:bold;">Бонус за реферала </p>
	Оплата за реферала: <font color="#9acd32"><strong>' . $refb['val'] . '</strong>   Баллов</font></p>';
echo '</div> <br />';
echo '<div class="phdr"><b>' . ($id ? 'Рефералы пользователя: ' . $user['name'] : 'Мои рефералы') . '</b></div>';

$counts = mysql_result(mysql_query('SELECT COUNT(*) FROM `users` LEFT JOIN `referals` ON `users`.`id`=`referals`.`user_id` WHERE `referals`.`ref`=' . $user['id']), 0);
if($counts>0) {
	$req = mysql_query('SELECT `users`.`id`, `users`.`name`, `users`.`sex`, `users`.`lastdate`, `users`.`datereg`, `users`.`status`, `users`.`rights`, `users`.`ip`, `users`.`browser`, `users`.`rights` FROM `users` LEFT JOIN `referals` ON `users`.`id`=`referals`.`user_id` WHERE `referals`.`ref`=' . $user['id'] . ' ORDER BY `datereg` DESC LIMIT '.$start.', '.$kmess);
	while ($res = mysql_fetch_assoc($req)) {
		echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
		echo functions::display_user($res, 1, (($rights >= 1 && $rights >= $res['rights']) ? 1 : 0)) . '</div>';
		++$i;
	}
	echo '<div class="phdr">Всего рефералов: ' . $counts . '</div>';
	
	if ($total > $kmess) {
        echo '<div class="topmenu">' . functions::display_pagination('referals.php' . ($id ? '?id='.$user['id'].'&amp;' : '?'), $start, $counts, $kmess) . '</div>' .
            '<p><form action="" method="get"><input type="text" name="page" size="2"/>' .
            '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/></form></p>';
    }
}
else {

	echo '<div class="menu">Рефералов нет!</div>';
	
}

if(!$id) {

	echo '<div class="list1">
	Ссылка для привлечения рефералов:
	
	<input type="text" value="' . $_SERVER['HTTP_HOST'] .'/?ref='.$user_id.'" />
	</div>';

}

require_once('../incfiles/end.php');
?>